Bug 1120577 - perl-Panotools-Script-0.28-1.fc20 desktop files refer to hugin image which does not exist
Summary: perl-Panotools-Script-0.28-1.fc20 desktop files refer to hugin image which do...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Panotools-Script
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Postle
QA Contact: Fedora Extras Quality Assurance
URL: http://alt.fedoraproject.org/pub/alt/...
Whiteboard:
Depends On: 1706035
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 08:23 UTC by Petr Pisar
Modified: 2019-05-20 01:03 UTC (History)
1 user (show)

Fixed In Version: perl-Panotools-Script-0.29-1.fc30
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-20 01:03:33 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-07-17 08:23:25 UTC
perl-Panotools-Script-0.28-1.fc20 delivers a few desktop files:

$ rpm -q -l perl-Panotools-Script |grep desktop 
/usr/share/applications/erect2qtvr-gui.desktop
/usr/share/applications/img2pto.desktop
/usr/share/applications/ptoinfo-gui.desktop

These desktop files refer to an icon:

$ rpm -q -l perl-Panotools-Script | grep desktop | xargs -- grep -e Icon 
/usr/share/applications/erect2qtvr-gui.desktop:Icon=hugin
/usr/share/applications/img2pto.desktop:Icon=hugin
/usr/share/applications/ptoinfo-gui.desktop:Icon=hugin

However the 'hugin' icon does not preset on the system:

find /usr/share/icons /usr/share/pixmaps/ -name 'hugin.*'

I guess the hugin-base package should provide it.

Comment 1 Fedora End Of Life 2015-05-29 12:23:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jan Kurik 2015-07-15 14:39:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Fedora End Of Life 2016-11-24 11:11:21 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-07-25 18:41:03 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-11-16 18:55:28 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-02-20 15:29:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 7 Ben Cotton 2019-05-02 22:05:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Petr Pisar 2019-05-03 12:17:06 UTC
/usr/share/pixmaps/hugin.png exists and it is provided by "hugin" package. Not by hugin-base package. Since hugin-base does not provide any GUI stuff it does not deliver the icon file. Because perl-Panotools-Script does not use hugin's GUI, it does not need to depend on hugin package.

I can see two solutions:

(1) hugin will subpackage /usr/share/pixmaps/hugin.png into hugin-icon and perl-Panotools-Script and hugin packages will require hugin-icon.

(2) perl-Panotools-Script will bunlde the icon file under a different name (to prevent from file collisions).

I will ask hugin maintainer for the first option.

Comment 9 Bruno Postle 2019-05-11 20:46:55 UTC
Fixed in perl-Panotools-Script-0.29-1 by including a PNG icon in the rpm

Comment 10 Fedora Update System 2019-05-11 20:55:35 UTC
perl-Panotools-Script-0.29-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e0079293fa

Comment 11 Fedora Update System 2019-05-12 00:45:23 UTC
perl-Panotools-Script-0.29-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e0079293fa

Comment 12 Petr Pisar 2019-05-13 10:28:23 UTC
I'm sorry but it's not fixed at all. See <https://taskotron.fedoraproject.org/artifacts/all/24777076-742d-11e9-bd27-52540077ca13/tests.yml/rpmgrill.json>. The reason is that the deskotop files contain "Icon=hugin", while you are replacing "hugin.png".

Comment 13 Fedora Update System 2019-05-20 01:03:33 UTC
perl-Panotools-Script-0.29-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.